Subject: bug#79295: [Bug] Artifacts in margin with display-line-numbers-mode (relative)

From: Po Lu <[email-masked]>
Date: Wed, 27 Aug 2025 09:44:36 +0800

Marco Neumaier <[email-masked]> writes:

> I checked already if it depends on fractional scaling, but that´s not
> the case. Will double check though.  My CPU is an AMD 9700X and i´m
> using its iGPU. I´m also running a very recent MESA version (25.x, I
> have to check the exact version) and I also just found this thread:
> https://gitlab.freedesktop.org/mesa/mesa/-/issues/12809 where also
> Emacs is mentioned.  Maybe it´s related.

What if you configure `alpha-background' to a nearly opaque value such
as 99?  It should suffice to prevent the compositor from regarding
Emacs's frames as completely opaque and disable the optimizations I
suspect are producing these artifacts.